#!/bin/bash
echo "Building the hacker-challenge docker image"

if ! command -v docker 2>&1 >/dev/null
then
    echo "docker not found, please install docker"
    exit 1
fi

if [ ! -e challenge_instance/challenge.tar.gz ]; then
  echo "Please build the challenge first, see README.md"
  exit 1
fi

cd docker
cp ../challenge_instance/challenge.tar.gz challenge.tar.gz
docker build -f challenge.Dockerfile -t hacker-challenge:latest .
cd ..

echo "Container named 'hacker-challenge' built"
